package ui
{
	import defines.Assets;
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.utils.Input;

	public class BasicBtn extends Entity
	{
		protected var mImage:Image = new Image(Assets.GAME_INTERFACE, new Rectangle(0, 0, 64, 64));
		
		public function BasicBtn(atX:Number = 0, atY:Number = 500)
		{
			x = atX;	y = atY;
			mImage.centerOrigin();
			setHitbox(64, 64, 32, 32);
			
			addGraphic(mImage);
		}
		
		public function MakeHitbox():void
		{
			setHitbox(mImage.scaledWidth, mImage.scaledHeight, mImage.scaledWidth * 0.5, mImage.scaledHeight * 0.5);;
		}
		
		public override function update():void
		{
			if (true == Input.mousePressed)
			{
				if (true == collidePoint(x, y, world.mouseX, world.mouseY))
				{
					if (true == OnMouseClick())
						Assets.PlaySoundIn(Assets.inSfxButtonClick);
					//else
					//	TODO: Play negative btn click sound effect.
				}
			}
		}

		//Override these as needed.
		protected function OnMouseClick():Boolean
		{
			return false;
		}
	}
}