package ui
{
	import defines.Assets;
	import flash.geom.Rectangle;
	import net.flashpunk.FP;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.utils.Input;
	import ui.BasicBtn;

	public class GotoLevelsBtn extends BasicBtn
	{
		private const COOL_DOWN:Number = 30.0;
		private const COLOR_DISABLED:uint = 0xFF808080;
		private const COLOR_ENABLED:uint = 0xFFFFFFFF;
		private var mCoolDownTimer:Number = -1.0;
		
		public function GotoLevelsBtn(atX:Number = 0, atY:Number = 500)
		{
			super(atX, atY);
			mImage = new Image(Assets.GAME_INTERFACE, new Rectangle(0, 0, 64, 64));

			mImage.centerOrigin();
			setHitbox(64, 64, 32, 32);
			
			addGraphic(mImage);
		}
	
		protected override function OnMouseClick():Boolean
		{	//More hackery: For the tutorial...
			FP.world = new LevelSelect();
			return true;
		}
	}
}