

package
{
	import net.flashpunk.Entity;
	import net.flashpunk.FP;
	import net.flashpunk.*;
	
	public class CameraShake extends Entity
	{
		public static var mShakeTimer:Number = -1;
		private static var mHeldCameraX:Number;
		private static var mHeldCameraY:Number;
		private static var mShakeAmount:Number = 20;
		
		public function CameraShake()
		{
			
		}
		
		public static function ActivateShake(forSeconds:Number, shakeAmt:Number = 15.0):void
		{
			if (mShakeTimer < 0.0)
			{
				mHeldCameraX = FP.camera.x;
				mHeldCameraY = FP.camera.y;
				mShakeTimer = 0.0;
			}
			
			mShakeAmount = shakeAmt;
			mShakeTimer += forSeconds;
		}
		
		public static function GetShakeAmount():Number { return mShakeAmount; }
		public static function GetShakeTimer():Number { return mShakeTimer; }
		
		public static function SetShakeAmount(shakeAmt:Number = 5):void		{	mShakeAmount = shakeAmt;	}
		public static function SetShakeTimer(forSeconds:Number):void		{	mShakeTimer = forSeconds;	}
		public static function SetHoldPosition(atX:Number, atY:Number):void	{	mHeldCameraX = atX;		mHeldCameraY = atY;		}
		
		public static function IsShaking():Boolean { return (mShakeTimer < 0.0) ? false : true; }

		override public function update():void
		{
			if (true == IsShaking())
			{
				mShakeTimer -= FP.elapsed;
				if (mShakeTimer < 0)
				{
					FP.camera.x = mHeldCameraX;
					FP.camera.y = mHeldCameraY;
				}
				else
				{
					var amt:Number = mShakeAmount;
					var cameraXOffset:Number = (Math.random() * (amt * 2.0)) - amt;
					var cameraYOffset:Number = (Math.random() * (amt * 2.0)) - amt;
					
					FP.camera.x = mHeldCameraX + cameraXOffset;
					FP.camera.y = mHeldCameraY + cameraYOffset;
				}
			}
		}
	}
}