package ui
{
	import defines.Assets;
	import flash.geom.Rectangle;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Image;
	import net.flashpunk.utils.Input;
	import ui.BasicBtn;

	public class MuteSoundsBtn extends BasicBtn
	{
		public function MuteSoundsBtn(atX:Number = 750, atY:Number = 64)
		{
			super(atX, atY);
			SetImage();

			setHitbox(64, 64, 32, 32);
		}
		
		private function SetImage():void
		{
			if (GameWorld.IsMuted())
				mImage = new Image(Assets.GAME_INTERFACE, new Rectangle(256, 0, 64, 64));
			else
				mImage = new Image(Assets.GAME_INTERFACE, new Rectangle(192, 0, 64, 64));
				
			mImage.centerOrigin();
			graphic = mImage;
		}
		
		protected override function OnMouseClick():Boolean
		{
			GameWorld.ToggleMute();
			SetImage();
			return true;
		}
	}
}